Execute Code Snippet
curl --request POST \
--url https://api.anchorbrowser.io/v1/tools/execute-code \
--header 'Content-Type: application/json' \
--header 'anchor-api-key: <api-key>' \
--data '
{
"code": "<string>"
}
'import requests
url = "https://api.anchorbrowser.io/v1/tools/execute-code"
payload = { "code": "<string>" }
headers = {
"anchor-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'anchor-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>'})
};
fetch('https://api.anchorbrowser.io/v1/tools/execute-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"output": "<string>",
"error": "<string>",
"executionResultId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Tools
Execute Code Snippet
Run a TypeScript snippet in the sandbox against the browser session (query sessionId required).
POST
/
v1
/
tools
/
execute-code
Execute Code Snippet
Authorizations
API key passed in the header
Query Parameters
Browser session to run the snippet against.
Body
application/json
TypeScript snippet (async function body) with injected page, browser, context, sessionId, anchorClient.
Was this page helpful?
⌘I

